[tool.poetry]
name = "app-service"
version = "0.12.4"
description = "The App Service implements a RESTful API for convenient input and output communication between containerized apps and the EMPAIA platform"
authors = ["Daniel Romberg <daniel.romberg@mevis.fraunhofer.de>"]
license = "MIT"

[tool.poetry.dependencies]
python = "^3.12"
fastapi = "^0.115.0"
pydantic = "^2.7.0"
uvicorn = { extras = ["standard"], version = "^0.34.0" }
PyJWT = "^2.3.0"
cryptography = "^44.0.0"
aiohttp = "^3.8.1"
requests = "^2.27.1"
pyinstrument = "^5.0.0"
pydantic-settings = "^2.0.2"

[tool.poetry.group.dev.dependencies]
pytest = "^8.3.2"
pytest-asyncio = "^0.25.0"
black = "^25.0.0"
isort = "^6.0.0"
pytest-cov = "^6.0.0"
pylint = "^3.2.6"
pycodestyle = "^2.12.1"
numpy = "^2.0.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 120
exclude = 'app_service/api/models'

[tool.isort]
profile = "black"
skip_glob = "app_service/api/models"

[tool.pylint.messages_control]
ignore = ["models", "empaia_sender_auth"]
disable = "R,C,W0613,E0213,W0511"
max-line-length = 120
extension-pkg-whitelist = "pydantic"

[tool.pytest.ini_options]
asyncio_mode = "strict"
